# CKEditor 5 Bookmark

This module enables the native CKEditor 5 Bookmark plugin included (but not enabled) in Drupal ^10.4 and ^11.1.

CKEditor 5 44.0.0 includes the [Bookmark plugin](https://ckeditor.com/docs/ckeditor5/latest/features/bookmarks.html) to support adding/editing bookmarks (a.k.a. anchor links). As of 10.4.0 and 11.1.0, Drupal core ships with CKEditor 44.0.0, but the bookmark plugin not enabled/available by default.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/ckeditor5_bookmark).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/ckeditor5_bookmark).

## Requirements

CKEditor 5, v 44.0.0+, which is included in Drupal ^10.4 || ^11.1.

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Enable the module.
2. Edit any CKEditor5-based text format at `/admin/config/content/formats/manage`.
3. Drag the bookmark icon from 'Available buttons' to 'Active toolbar'.
4. Save the configuration.

## Maintainers

- Michael Caldwell - [justcaldwell](https://www.drupal.org/u/justcaldwell)
